Current user
GET
/me
Retrieve the profile of the currently logged in user.
Payload della risposta
activeSessions
integer
obbligatorio
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
obbligatorio
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
obbligatorio
Email addresses associated with user.
Mostra attributi secondari
emails.createdAt
string
obbligatorio
When this record was created.
emails.email
string
obbligatorio
The email address.
emails.id
string
obbligatorio
ID of the email record.
emails.passwordSet
boolean
obbligatorio
Whether there is a password set for this email address.
emails.tokenSet
boolean
obbligatorio
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
obbligatorio
ID of the user this record is associated with.
emails.verified
boolean
obbligatorio
Whether the email address is verified.
id
string
obbligatorio
ID of the user
identities
array of object
Third-party identities associated with user.
Mostra attributi secondari
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
obbligatorio
The display name for the user
phoneNumber
string
phoneNumbers
array of object
obbligatorio
The phone numbers associated with the user.
Mostra attributi secondari
phoneNumbers.createdAt
string
obbligatorio
phoneNumbers.id
string
obbligatorio
phoneNumbers.phoneNumber
string
obbligatorio
phoneNumbers.primary
boolean
obbligatorio
phoneNumbers.updatedAt
string
obbligatorio
phoneNumbers.userId
string
obbligatorio
phoneNumbers.verified
boolean
obbligatorio
status
string
obbligatorio
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
obbligatorio
When the user was last updated.
userFraudInformation
object
Mostra attributi secondari
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Esempio di codice
curl -X GET 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/me
Update the profile of the currently logged in user.
Payload della richiesta
name
string
The display name for the user
bio
string
The user's description
avatarUrl
string
URL to the user's profile picture.
locale
string
timezone
string
The default timezone for the user.
Payload della risposta
activeSessions
integer
obbligatorio
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
obbligatorio
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
obbligatorio
Email addresses associated with user.
Mostra attributi secondari
emails.createdAt
string
obbligatorio
When this record was created.
emails.email
string
obbligatorio
The email address.
emails.id
string
obbligatorio
ID of the email record.
emails.passwordSet
boolean
obbligatorio
Whether there is a password set for this email address.
emails.tokenSet
boolean
obbligatorio
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
obbligatorio
ID of the user this record is associated with.
emails.verified
boolean
obbligatorio
Whether the email address is verified.
id
string
obbligatorio
ID of the user
identities
array of object
Third-party identities associated with user.
Mostra attributi secondari
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
obbligatorio
The display name for the user
phoneNumber
string
phoneNumbers
array of object
obbligatorio
The phone numbers associated with the user.
Mostra attributi secondari
phoneNumbers.createdAt
string
obbligatorio
phoneNumbers.id
string
obbligatorio
phoneNumbers.phoneNumber
string
obbligatorio
phoneNumbers.primary
boolean
obbligatorio
phoneNumbers.updatedAt
string
obbligatorio
phoneNumbers.userId
string
obbligatorio
phoneNumbers.verified
boolean
obbligatorio
status
string
obbligatorio
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
obbligatorio
When the user was last updated.
userFraudInformation
object
Mostra attributi secondari
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
Esempio di codice
curl -X PATCH 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me
Delete the profile of the currently logged in user. Essentially deleting your account with the platform.
Esempio di codice
curl -X DELETE 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'